Subject: Re: bug#17478: "No such file or directoryn" due to incorrect escaping

From: Peter Rosin <[email-masked]>
Date: Tue, 13 May 2014 11:36:54 +0200

On 2014-05-13 10:57, Egmont Koblinger wrote:
>> I believe this line is generated from these lines of libtool.m4 and
>> ltmain.sh (attaching these too):
>> libtool.m4:1183:   ECHO='printf %s\n'
>> ltmain.sh:4069:      $ECHO \"\$relink_command_output\" >&2

Looks likely.

I think you should try to prepend \ to that $ECHO, I'll send a patch
for libtool proper shortly. Not sure how you should test this though,
when you are using the system libtool...

I.e. try to change that line to:
      \$ECHO \"\$relink_command_output\" >&2

Hope that helps!

Cheers,
Peter